<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>TNO IDS - SCSN Seller Example</title>
  <link rel="icon" type="image/png" sizes="32x32" href="images/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="images/favicon-16x16.png">
  <link rel="shortcut icon" href="images/favicon.ico">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.7.4/css/bulma.min.css"
    integrity="sha256-8B1OaG0zT7uYA572S2xOxWACq9NXYPQ+U5kHPV1bJN4=" crossorigin="anonymous" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.8.2/css/all.min.css"
    integrity="sha256-BtbhCIbtfeVWGsqxk1vOHEYXS6qcvQvLMZqjtpWUEx8=" crossorigin="anonymous" />

  <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.18.0/axios.min.js"
    integrity="sha256-mpnrJ5DpEZZkwkE1ZgkEQQJW/46CSEh/STrZKOB/qoM=" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js"
    integrity="sha256-4iQZ6BVL4qNKlQ27TExEhBN1HFPvAvAMbFavKKosSWQ=" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.10/vue.min.js"
    integrity="sha256-chlNFSVx3TdcQ2Xlw7SvnbLAavAQLO0Y/LBiWX04viY=" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.6/highlight.min.js"
    integrity="sha256-aYTdUrn6Ow1DDgh5JTc3aDGnnju48y/1c8s1dgkYPQ8=" crossorigin="anonymous"></script>
  <link rel="stylesheet" href="assets/main.css">
  <script src="assets/main.js"></script>
</head>

<body>
  <div id="pageloader">
    <span class="title">Loading dashboard</span>
  </div>
  <section class="hero is-primary is-bold">
    <div class="hero-body">
      <div class="container">
        <img src="scsn_logo.png"
          style="position: absolute;height: 7rem;left: 0;top: -2.5rem;background: rgba(255,255,255, 0.75);padding: 10px;">
        <h1 class="title" style="margin-left: 14rem;">SCSN Seller Example</h1>
      </div>
    </div>
  </section>
  <section class="section" id="orders">
    <div class="container">
      <h2 class="title is-4">Orders</h2>
      <table class="table is-bordered is-narrow is-striped is-fullwidth is-hoverable">
        <thead>
          <tr>
            <th>Order ID</th>
            <th>Buyer</th>
            <th>SCSN ID</th>
            <th>IDS ID</th>
            <th>API</th>
            <th>Quantity</th>
            <th>Delivery date</th>
            <th>Status</th>
            <th>Action</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="order in orders">
            <td>{{ order.id }}</td>
            <td>{{ order.buyer.name }}</td>
            <td>{{ order.buyer.scsnid }}</td>
            <td>{{ order.buyer.idsid }}</td>
            <td>{{ order.version }}</td>
            <td>{{ order.quantity }}</td>
            <td>{{ order.requestedDeliveryDate | formatDate }} <span
                v-if="order.promisedDeliveryDate">({{ order.promisedDeliveryDate | formatDate }})</span></td>
            <td><code>{{ order.status }}</code></td>
            <td v-if="order.status === 'Received'">
              <div class="field is-horizontal">
                <div class="field-body">
                  <div class="field">
                    <p class="control is-expanded">
                      <input class="input is-small" type="date" v-model="promiseDates[order.id]"
                        placeholder="Promise date">
                    </p>
                  </div>
                  <div class="field">
                    <p class="control is-expanded">
                      <button class="button is-primary is-small" v-on:click="promise(order.id)"
                        :disabled="busy[order.id]">Send response</button>
                    </p>
                  </div>
                </div>
              </div>
            </td>
            <td v-else-if="order.status === 'Accepted'">
              <button class="button is-primary is-small" v-on:click="despatch(order.id)" :disabled="busy[order.id]">Send
                despatch advice</button>
            </td>
            <td v-else-if="order.status === 'Shipped'">
              <button class="button is-primary is-small" v-on:click="invoice(order.id)" :disabled="busy[order.id]">Send
                invoice</button>
            </td>
            <td v-else></td>
          </tr>
        </tbody>
      </table>
    </div>
  </section>
</body>

</html>